#config for anything that has a desktop environment
{
  config,
  lib,
  pkgs,
  ...
}:
let
  inherit (lib.modules) mkIf;
  inherit (lib.options) mkEnableOption;

  cfg = config.core.desktop;
in
{
  options.core.desktop = {
    enable = mkEnableOption "Config and Utils for Desktop";
  };

  config = mkIf cfg.enable {

    hardware.bluetooth.enable = true; #enable bluetooth
    hardware.bluetooth.powerOnBoot = true;

    environment.systemPackages = with pkgs; [
      vscodium
      brave
      mission-center
      nixfmt-rfc-style
      easyeffects #also need easy effects presets https://github.com/JackHack96/EasyEffects-Presets
      plexamp
      youtube-music
      plasma-panel-colorizer
      kdePackages.sddm-kcm
      deluge
      micro
      sddm-astronaut
      kdePackages.kzones
      unrar
    ];

    programs = {
      chromium = {
        enable = true;
        extensions = [
          "jplnlifepflhkbkgonidnobkakhmpnmh" # PIA
          "nngceckbapebfimnlniiiahkandclblb" # Bitwarden
          "hlkenndednhfkekhgcdicdfddnkalmdm" # Cookie Editor
          "cimiefiiaegbelhefglklhhakcgmhkai" # Plasma Integration
        ];
        initialPrefs = {
            "show_button" = false;
             "hidden_built_in_items" = [
                 7
                 1
                 2
              ];
             "last_used_built_in_item_type" = 3;
             "autocomplete_provider_enabled" = false;
             "context_menu_enabled" = false;
             "show_toolbar_button" = false;
             "hide_all_widgets" = true;
             "show_branded_background_image" = false;
             "show_brave_news" = false;
             "show_clock" = true;
             "show_brave_rewards_button_in_location_bar" = false;
             "show_wallet_icon_on_toolbar" = false;
             "prompt_for_download" = false;
        };
      };
    };
  };
}
